/*
-----------------------------------------------------------------------------
-      ATMEL Microcontroller Software Support  -   ROUSSET -
-----------------------------------------------------------------------------
 The software is delivered "AS IS" without warranty or condition of any
 kind, either express, implied or statutory. This includes without
 limitation any warranty or condition with respect to merchantability or
 fitness for any particular purpose, or against the infringements of
 intellectual property rights of others.
-----------------------------------------------------------------------------
- File Name            : db01.inc
- Object               : Development Board DB01 Definition File.
- Translator           : ARM Software Development Toolkit V2.11a
-
- 1.0 22/09/98 JCZ     : Creation
- 2.0 21/10/98 JCZ     : Clean up.
-----------------------------------------------------------------------------
*/
/*
---------------------------------------
- AT91DB01 External Memories Definition
---------------------------------------
*/
/*- SSRAM emulating Internal ROM : 256K*32 */
.equ	SSRAM_BASE,INT_ROM_BASE
.equ	SSRAM_SIZE,(256*1024*4)
.equ	SSRAM_LIMIT,(SSRAM_BASE + SSRAM_SIZE)

/*- External Boot ROM Memory : AT27LV256A 32k*8 */
.equ	BOOT_ROM_BASE,0x01000000
.equ	BOOT_ROM_SIZE,(32*1024)
.equ	BOOT_ROM_LIMIT,(BOOT_ROM_BASE + BOOT_ROM_SIZE)

/*- Flash Memory : 2 * AT29C020 128k*8 */
.equ	FLASH_BASE,0x02000000
.equ	FLASH_SIZE,(2*128*1024)
.equ	FLASH_LIMIT,(FLASH_BASE + FLASH_SIZE)

/*
--------------------------------
- AT91DB0x Interfaces Definition
--------------------------------
*/
/*- Green Leds */
.equ	LED1,P4
.equ	LED2,P1

/*- SW1 Push Button */
.equ	IRQ_SW1,IRQ0
.equ	PIN_SW1,P9


