/*
-----------------------------------------------------------------------------
-      ATMEL Microcontroller Software Support  -   ROUSSET -
-----------------------------------------------------------------------------
 The software is delivered "AS IS" without warranty or condition of any
 kind, either express, implied or statutory. This includes without
 limitation any warranty or condition with respect to merchantability or
 fitness for any particular purpose, or against the infringements of
 intellectual property rights of others.
-----------------------------------------------------------------------------
- File Name            : ebi.inc
- Object               : External Bus Interface Definition File.
- Translator           : ARM Software Development Toolkit V2.11a
-
- 1.0 10/03/98 JCZ     : Creation
- 2.0 21/10/98 JCZ     : Clean up.
-----------------------------------------------------------------------------
/*
/*
----------------------------------
- External Bus Interface Structure
----------------------------------
*/
.equ	EBI_CSR,0x00     /* Chip Select Register */
.equ	EBI_RCR,0x20     /* Remap Command Register */
.equ	EBI_MCR,0x24     /* Memory Control Register */

/*
----------------------
- Chip Select Register
----------------------
*/
/*- Data Bus Width */
.equ	DBW,0x03

/*- Number of Wait States */
.equ	NWS,0x1C

/*- Wait State Enable */
.equ	WSE,0x20

/*- Page size */
.equ	PAGES,0x180

/*- Number of Data Float Output Time Clock Cycle */
.equ	TDF,0xE00

/*- Byte Access Type */
.equ	BAT,0x1000

/*- Chip Select Enable */
.equ	CSE,0x2000

/*- Base Address */
.equ	BA,0xFFF00000
/*
-------------------------
- Memory Control Register
-------------------------
*/
/*- Address Line Enable */
.equ	ALE,0x07

/*- Data Read Protocol */
.equ	DRP,0x10
/*
-----------------------
-Remap Control Register
-----------------------
*/
.equ	RCB,0x01

/*
--------------------------------
- Device Dependancies Definition
--------------------------------
*/
    .IFDEF AT91M40400
.equ	EBI_BASE,0xFFE00000
    .ENDIF


