/*
-----------------------------------------------------------------------------
-      ATMEL Microcontroller Software Support  -   ROUSSET -
-----------------------------------------------------------------------------
 The software is delivered "AS IS" without warranty or condition of any
 kind, either express, implied or statutory. This includes without
 limitation any warranty or condition with respect to merchantability or
 fitness for any particular purpose, or against the infringements of
 intellectual property rights of others.
-----------------------------------------------------------------------------
- File Name            : wd.inc
- Object               : Watch Dog Definition File.
- Translator           : ARM Software Development Toolkit V2.11a
-
- 1.0 10/03/98 JCZ     : Creation
- 2.0 21/10/98 JCZ     : Clean up.
-----------------------------------------------------------------------------
*/
/*
--------------------
 Watch Dog Structure
--------------------
*/
.equ	WD_OMR,0x00	/* Overflow Mode Register */
.equ	WD_CMR,0x04	/* Counter Mode Register */
.equ	WD_CR,0x08	/* Control Register */
.equ	WD_SR,0x0c	/* Status Register */

/*
---------------------------------------------------
- Watch Dog Overflow Mode Register Bits Definition
---------------------------------------------------
*/
/*- Watch Dog Enable */
.equ	WDEN,0x01

/*- Internal Reset Enable */
.equ	RSTEN,0x02

/*- Interrupt Enable */
.equ	IRQEN,0x04

/*- External Signal Enable */
.equ	EXTEN,0x08

/*- Overflow Mode Register Access Key */
.equ	OKEY,(0x234<<4)

/*
-------------------------------------------
- Watch Dog Clock Register Bits Definition
-------------------------------------------
*/
/*- Clock Selection */
.equ	WDCLKS,0x03

/*- Hicg Preload Counter Value */
.equ	HPCV,(0x0F<<2)

/*- Clock Register Access Key */
.equ	CKEY,(0x06E<<7)

/*
---------------------------------------------
- Watch Dog Control Register Bits Definition
---------------------------------------------
*/
/*- Watch Dog Restart Key */
.equ	RSTKEY,0xC071
/*
--------------------------------------------
- Watch Dog Status Register Bits Definition
--------------------------------------------
*/
/*- WatchDog Overflow Status */
.equ	WDOVF,0x1

/*
--------------------------------
- Device Dependancies Definition
--------------------------------
*/
    .IFDEF AT91M40400
.equ	WD_BASE,0xFFFF8000
    .ENDIF



